# Helpers
module Plant
  # Namespace application helper for writing to page
  module PlantHelper
    # Writes the content out onto the page for the given node.
    # Params: options: Hash:
    #   => html_safe: whether to allow html or not.
    def plant_content_for(node, options = {})
      content = Plant::Content.get_node_content(node, options)
      if options[:html_safe]
        content.html_safe
      else
        ERB::Util.html_escape(content)
      end
    end
  end
end
