# Engine so we can mount it
module Plant
  # Ensure the namespace is isolated
  class Engine < ::Rails::Engine
    isolate_namespace Plant
    config.generators do |g|
      g.test_framework :rspec, fixture: false
      g.fixture_replcement :factory_girl, dir: 'spec/factories'
      g.assets false
      g.helper false
    end
    # Auto-include the Plant Helper
    initializer 'plant.action_controller' do
      ActiveSupport.on_load :action_controller do
        helper Plant::PlantHelper
      end
    end
  end
end
