module Plant
  # Utilities for the library
  class Utils
    # Gets all yml file in the given directory within the scope of a rails app
    # Parameters dir (string) path reletive to Rails.root to search
    # Returns Array of strings (filepaths)
    def self.yaml_files(dir = 'app/content')
      Dir.glob("#{Rails.root}/#{dir}/**/*.yml")
    end

    # Converts a given `path` yaml file into a flat hash of key: values
    # Parameters path:string (path to yml file)
    # Return Hash
    def self.load_yaml_file(path)
      contents = YAML.load(File.read(path))
      return contents.pathify('.') if contents.respond_to? :pathify
      {}
    end

    # Loads all the yaml files into memory
    def self.load_all_yaml_files(dir = 'app/content')
      Plant::Utils.yaml_files(dir).inject({}) do |memo, fle|
        memo.merge(Plant::Utils.load_yaml_file(fle))
      end
    end
  end
end
